Register a user's solar inverter
Create a new solar inverter for a specific user under a specific organization, with a JSON payload.
curl --request POST \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_pause_power_active": false,
"is_smart_optimization_active": false,
"is_inverter_forced_mode_enabled": false,
"actual_steering_state": "unknown",
"device_model": {
"device_type": {
"short_name": "<string>",
"long_name": "<string>"
},
"manufacturer": "<string>",
"model": "<string>",
"year": 123,
"cloud_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ac_rated_power_w": 123
},
"price_zone": "AT",
"deleted_at": "2023-11-07T05:31:56Z",
"pause_power_until": "2023-11-07T05:31:56Z",
"optimization_score": 123,
"comment": "<string>",
"last_monitoring_executed_at": "2023-11-07T05:31:56Z",
"solar_power_rating_kw": 123,
"battery_capacity_kwh": 123,
"is_battery_connected": false,
"is_curtailment_active": false,
"max_battery_charge": 123,
"min_battery_charge": 123,
"user_limits_enabled": false,
"current_power_to_grid_w": 123,
"inferred_max_charge_power_w": 123,
"inferred_max_discharge_power_w": 123,
"inferred_min_battery_soc_percent": 123,
"inferred_battery_capacity_kwh": 123,
"inferred_params_updated_at": "2023-11-07T05:31:56Z",
"ac_rated_power_w": 123,
"export_power_limit_w": 123,
"inferred_export_limit_w": 123,
"has_ev_in_household": true,
"ev_inferred_at": "2023-11-07T05:31:56Z",
"ev_inference_confidence": 123,
"information_notifications": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters"
payload = {
"is_pause_power_active": False,
"is_smart_optimization_active": False,
"is_inverter_forced_mode_enabled": False,
"actual_steering_state": "unknown",
"device_model": {
"device_type": {
"short_name": "<string>",
"long_name": "<string>"
},
"manufacturer": "<string>",
"model": "<string>",
"year": 123,
"cloud_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ac_rated_power_w": 123
},
"price_zone": "AT",
"deleted_at": "2023-11-07T05:31:56Z",
"pause_power_until": "2023-11-07T05:31:56Z",
"optimization_score": 123,
"comment": "<string>",
"last_monitoring_executed_at": "2023-11-07T05:31:56Z",
"solar_power_rating_kw": 123,
"battery_capacity_kwh": 123,
"is_battery_connected": False,
"is_curtailment_active": False,
"max_battery_charge": 123,
"min_battery_charge": 123,
"user_limits_enabled": False,
"current_power_to_grid_w": 123,
"inferred_max_charge_power_w": 123,
"inferred_max_discharge_power_w": 123,
"inferred_min_battery_soc_percent": 123,
"inferred_battery_capacity_kwh": 123,
"inferred_params_updated_at": "2023-11-07T05:31:56Z",
"ac_rated_power_w": 123,
"export_power_limit_w": 123,
"inferred_export_limit_w": 123,
"has_ev_in_household": True,
"ev_inferred_at": "2023-11-07T05:31:56Z",
"ev_inference_confidence": 123,
"information_notifications": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_pause_power_active: false,
is_smart_optimization_active: false,
is_inverter_forced_mode_enabled: false,
actual_steering_state: 'unknown',
device_model: {
device_type: {short_name: '<string>', long_name: '<string>'},
manufacturer: '<string>',
model: '<string>',
year: 123,
cloud_service_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ac_rated_power_w: 123
},
price_zone: 'AT',
deleted_at: '2023-11-07T05:31:56Z',
pause_power_until: '2023-11-07T05:31:56Z',
optimization_score: 123,
comment: '<string>',
last_monitoring_executed_at: '2023-11-07T05:31:56Z',
solar_power_rating_kw: 123,
battery_capacity_kwh: 123,
is_battery_connected: false,
is_curtailment_active: false,
max_battery_charge: 123,
min_battery_charge: 123,
user_limits_enabled: false,
current_power_to_grid_w: 123,
inferred_max_charge_power_w: 123,
inferred_max_discharge_power_w: 123,
inferred_min_battery_soc_percent: 123,
inferred_battery_capacity_kwh: 123,
inferred_params_updated_at: '2023-11-07T05:31:56Z',
ac_rated_power_w: 123,
export_power_limit_w: 123,
inferred_export_limit_w: 123,
has_ev_in_household: true,
ev_inferred_at: '2023-11-07T05:31:56Z',
ev_inference_confidence: 123,
information_notifications: ['<string>']
})
};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection_status": "ok",
"monitoring_status": "ok",
"steering_status": "ok",
"device_model": {
"device_type": {
"short_name": "<string>",
"long_name": "<string>"
},
"manufacturer": "<string>",
"model": "<string>",
"cloud_service_instructions": "<string>",
"cloud_service_signup_link": "<string>",
"year": 123,
"cloud_service": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ac_rated_power_w": 123
},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"external_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"price_zone": "AT",
"is_authenticated": false,
"is_smart_optimization_active": false,
"is_inverter_forced_mode_enabled": false,
"actual_steering_state": "unknown",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z",
"pause_power_until": "2023-11-07T05:31:56Z",
"is_pause_power_active": false,
"external_device_id": "",
"optimization_score": 123,
"current_mode": "<string>",
"comment": "<string>",
"current_state_last_updated_at": "2023-11-07T05:31:56Z",
"last_monitoring_executed_at": "2023-11-07T05:31:56Z",
"is_inverter_forced_mode_active": false,
"inverter_forced_mode_since": "0001-01-01T00:00:00Z",
"solar_power_rating_kw": 123,
"battery_capacity_kwh": 123,
"is_battery_connected": false,
"is_curtailment_active": false,
"max_battery_charge": 123,
"min_battery_charge": 123,
"user_limits_enabled": false,
"information_last_updated_at": "2023-11-07T05:31:56Z",
"battery_policy": "Optimize self consumption",
"battery_policy_last_updated_at": "2023-11-07T05:31:56Z",
"current_solar_production_w": 123,
"current_power_to_grid_w": 123,
"household_consumption_w": 123,
"solar_surplus_w": 123,
"battery_charge_discharge_power_w": 123,
"battery_charge_level_percent": 123,
"production_last_day_kwh": 123,
"production_last_week_kwh": 123,
"production_last_month_kwh": 123,
"production_last_updated_at": "2023-11-07T05:31:56Z",
"inferred_max_charge_power_w": 123,
"inferred_max_discharge_power_w": 123,
"inferred_min_battery_soc_percent": 123,
"inferred_battery_capacity_kwh": 123,
"inferred_params_updated_at": "2023-11-07T05:31:56Z",
"ac_rated_power_w": 123,
"export_power_limit_w": 123,
"inferred_export_limit_w": 123,
"has_ev_in_household": true,
"ev_inferred_at": "2023-11-07T05:31:56Z",
"ev_inference_confidence": 123,
"information_notifications": [
"<string>"
],
"embeddable_url": "<string>",
"authorization_url": "<string>",
"action_needed": false,
"has_notification": false
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the user's organization
The user ID of the user whom the solar inverter belongs to
Body
20Show child attributes
Show child attributes
Optimize self consumption, Optimize grid balancing, Export all AT, AT_HOURLY, BE, CH, EE, DE_LU, HR, HU, IT_CNOR, IT_CSUD, IT_NORD, IT_PUN, IT_SARD, IT_SICI, IT_SUD, PT, RO, SE_1, SE_2, SE_3, SE_4, UK When set, the device is considered deleted.
3000.0–1.0; saturates at 16 EV-charging bouts in 30 days
Response
OK
ok, warning, error, unknown ok, warning, error, unknown ok, warning, error, unknown Show child attributes
Show child attributes
Show child attributes
Show child attributes
AT, AT_HOURLY, BE, CH, EE, DE_LU, HR, HU, IT_CNOR, IT_CSUD, IT_NORD, IT_PUN, IT_SARD, IT_SICI, IT_SUD, PT, RO, SE_1, SE_2, SE_3, SE_4, UK 20When set, the device is considered deleted.
2553001000.0–1.0; saturates at 16 EV-charging bouts in 30 days
URL to embeddable onboarding form
Base URL for authorizing with the Podero server
True when at least one action is pending against this device and the partner must take that action before the device can resume normal operation. The actions field on the detail response carries the specifics.
True when the device has at least one unread information notification for the owner.
Was this page helpful?
